# vim: set sw=4 ts=4 et nu:
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               glee
Version:            5.4.0
%define soname      5
Release:            1.8
Summary:            GL Easy Extension Library
Source:             http://elf-stone.com/downloads/GLee/GLee-%{version}-src.tar.gz
URL:                http://elf-stone.com/glee.php
Group:              System/Libraries
License:            BSD-2-Clause
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      Mesa-devel
BuildRequires:      gcc-c++ make glibc-devel pkgconfig

%description
GLee (GL Easy Extension library) is a free cross-platform extension loading
library for OpenGL. It provides seamless support for OpenGL functions up to
version 3.0 and 399 extensions.

%package -n libGLee%{soname}
Summary:            GL Easy Extension Library
Group:              System/Libraries

%description -n libGLee%{soname}
GLee (GL Easy Extension library) is a free cross-platform extension loading
library for OpenGL. It provides seamless support for OpenGL functions up to
version 3.0 and 399 extensions.

%package -n libGLee-devel
Summary:            GL Easy Extension Library
Group:              Development/Libraries/C and C++
Requires:           libGLee%{soname} = %{version}

%description -n libGLee-devel
GLee (GL Easy Extension library) is a free cross-platform extension loading
library for OpenGL. It provides seamless support for OpenGL functions up to
version 3.0 and 399 extensions.

%prep
%setup -q -c "%{name}-%{version}"
%__sed -i 's/\r$//' *.txt *.c *.h
find . -type f -executable -exec %__chmod 0644 {} \;

%build
%__cxx %{optflags} -fPIC -fpic \
    -shared \
    -Wl,-soname=libGLee.so.%{soname} \
    -o libGLee.so.%{version} \
    GLee.c

%install
%__install -D -m 0644 GLee.h "%{buildroot}%{_includedir}/GL/GLee.h"
%__install -D -m 0755 libGLee.so.%{version} "%{buildroot}%{_libdir}/libGLee.so.%{version}"
%__ln_s libGLee.so.%{version} "%{buildroot}%{_libdir}/libGLee.so.%{soname}"
%__ln_s libGLee.so.%{soname} "%{buildroot}%{_libdir}/libGLee.so"

%post   -n libGLee%{soname} -p /sbin/ldconfig
%postun -n libGLee%{soname} -p /sbin/ldconfig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -n libGLee%{soname}
%defattr(-,root,root)
%doc *.txt
%{_libdir}/libGLee.so.%{soname}
%{_libdir}/libGLee.so.%{version}

%files -n libGLee-devel
%defattr(-,root,root)
%{_includedir}/GL/GLee.h
%{_libdir}/libGLee.so

%changelog
* Mon Feb  6 2012 pascal.bleser@opensuse.org
- initial version (5.4.0)
